Bug 1005394 - vim files for lilypond are in the wrong place (vim73 instead of vim74)
vim files for lilypond are in the wrong place (vim73 instead of vim74)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lilypond (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
: 1014447 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 15:51 EDT by Frédéric Bron
Modified: 2013-10-07 08:17 EDT (History)
2 users (show)

See Also:
Fixed In Version: lilypond-doc-2.17.26-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 08:59:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frédéric Bron 2013-09-06 15:51:15 EDT
Description of problem:

syntax highlighting for lilypond files in vim do not work now that vim has been upgraded from 7.3 to 7.4. This is because the files are stored in /usr/share/vim/vim73/{compiler,ftdetect,ftplugin,indent,syntax} instead of /usr/share/vim/vim74,
Could those files go in /usr/share/vim/vimfiles?

Version-Release number of selected component (if applicable):
lilypond 2.16.2 2.fc19
vim 7.4.0 2.fc19

How reproducible:
always

Steps to Reproduce:
open a .ly file
for example containing just:
\version "2.16.2"
\language "english"
{ c8 d4.}


Actual results:
no syntax highlighting.

Expected results:
syntax hightlighting on.
the string between double quotes "" should be in a different color.

Additional info:
exactly like bug https://bugzilla.redhat.com/show_bug.cgi?id=456842 some versions later...
Comment 1 Gwyn Ciesla 2013-09-09 09:08:11 EDT
Ok, we have a small problem.  2.16.x will not build with texlive 2013.  2.17.x will.  So I've fixed this in rawhide and f20, as well as f18, but the only way to fix this in f19 is to update to 2.17.26.  I'm inclined to update.  Do you have any objections?
Comment 2 Fedora Update System 2013-09-09 10:17:34 EDT
lilypond-2.16.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lilypond-2.16.2-3.fc18
Comment 3 Fedora Update System 2013-09-09 10:17:53 EDT
lilypond-doc-2.17.26-1.fc20,lilypond-2.17.26-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lilypond-doc-2.17.26-1.fc20,lilypond-2.17.26-1.fc20
Comment 4 Fedora Update System 2013-09-09 12:18:44 EDT
Package lilypond-doc-2.17.26-1.fc20, lilypond-2.17.26-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lilypond-doc-2.17.26-1.fc20 lilypond-2.17.26-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16129/lilypond-doc-2.17.26-1.fc20,lilypond-2.17.26-1.fc20
then log in and leave karma (feedback).
Comment 5 Frédéric Bron 2013-09-09 12:53:36 EDT
> Ok, we have a small problem.  2.16.x will not build with texlive 2013. 
> 2.17.x will.  So I've fixed this in rawhide and f20, as well as f18, but the
> only way to fix this in f19 is to update to 2.17.26.  I'm inclined to
> update.  Do you have any objections?

I am not sure I can take that responsability my-self. It is normally better to wait for stable release. I think I can live without the vim files (I have copied them in my ~/.vim directory) untile 2.18.0 is out. Can we do that?
Comment 6 Gwyn Ciesla 2013-09-09 13:00:27 EDT
That's fine with me, I'll leave things as they are.  If there are lots of requests to update I will, but not at this time.
Comment 7 Fedora Update System 2013-09-18 08:59:33 EDT
lilypond-2.16.2-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-09-22 20:46:26 EDT
lilypond-doc-2.17.26-1.fc20, lilypond-2.17.26-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Gwyn Ciesla 2013-10-07 08:17:38 EDT
*** Bug 1014447 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.